## Module Pux.Html.Attributes

#### `accept`

``` purescript
accept :: forall a. String -> Attribute a
```

#### `acceptCharset`

``` purescript
acceptCharset :: forall a. String -> Attribute a
```

#### `accessKey`

``` purescript
accessKey :: forall a. String -> Attribute a
```

#### `action`

``` purescript
action :: forall a. String -> Attribute a
```

#### `allowFullScreen`

``` purescript
allowFullScreen :: forall a. String -> Attribute a
```

#### `allowTransparency`

``` purescript
allowTransparency :: forall a. String -> Attribute a
```

#### `alt`

``` purescript
alt :: forall a. String -> Attribute a
```

#### `aria`

``` purescript
aria :: forall a. String -> String -> Attribute a
```

#### `async`

``` purescript
async :: forall a. String -> Attribute a
```

#### `autoComplete`

``` purescript
autoComplete :: forall a. String -> Attribute a
```

#### `autoFocus`

``` purescript
autoFocus :: forall a. Boolean -> Attribute a
```

#### `autoPlay`

``` purescript
autoPlay :: forall a. String -> Attribute a
```

#### `cellPadding`

``` purescript
cellPadding :: forall a. String -> Attribute a
```

#### `cellSpacing`

``` purescript
cellSpacing :: forall a. String -> Attribute a
```

#### `charSet`

``` purescript
charSet :: forall a. String -> Attribute a
```

#### `checked`

``` purescript
checked :: forall a. String -> Attribute a
```

#### `classID`

``` purescript
classID :: forall a. String -> Attribute a
```

#### `className`

``` purescript
className :: forall a. String -> Attribute a
```

#### `cols`

``` purescript
cols :: forall a. String -> Attribute a
```

#### `colSpan`

``` purescript
colSpan :: forall a. String -> Attribute a
```

#### `content`

``` purescript
content :: forall a. String -> Attribute a
```

#### `contentEditable`

``` purescript
contentEditable :: forall a. String -> Attribute a
```

#### `contextMenu`

``` purescript
contextMenu :: forall a. String -> Attribute a
```

#### `controls`

``` purescript
controls :: forall a. String -> Attribute a
```

#### `coords`

``` purescript
coords :: forall a. String -> Attribute a
```

#### `crossOrigin`

``` purescript
crossOrigin :: forall a. String -> Attribute a
```

#### `dangerouslySetInnerHTML`

``` purescript
dangerouslySetInnerHTML :: forall a. String -> Attribute a
```

#### `data_`

``` purescript
data_ :: forall a. String -> String -> Attribute a
```

#### `dateTime`

``` purescript
dateTime :: forall a. String -> Attribute a
```

#### `defer`

``` purescript
defer :: forall a. String -> Attribute a
```

#### `dir`

``` purescript
dir :: forall a. String -> Attribute a
```

#### `disabled`

``` purescript
disabled :: forall a. Boolean -> Attribute a
```

#### `download`

``` purescript
download :: forall a. String -> Attribute a
```

#### `draggable`

``` purescript
draggable :: forall a. String -> Attribute a
```

#### `encType`

``` purescript
encType :: forall a. String -> Attribute a
```

#### `form`

``` purescript
form :: forall a. String -> Attribute a
```

#### `formAction`

``` purescript
formAction :: forall a. String -> Attribute a
```

#### `formEncType`

``` purescript
formEncType :: forall a. String -> Attribute a
```

#### `formMethod`

``` purescript
formMethod :: forall a. String -> Attribute a
```

#### `formNoValidate`

``` purescript
formNoValidate :: forall a. String -> Attribute a
```

#### `formTarget`

``` purescript
formTarget :: forall a. String -> Attribute a
```

#### `frameBorder`

``` purescript
frameBorder :: forall a. String -> Attribute a
```

#### `height`

``` purescript
height :: forall a. String -> Attribute a
```

#### `hidden`

``` purescript
hidden :: forall a. String -> Attribute a
```

#### `href`

``` purescript
href :: forall a. String -> Attribute a
```

#### `hrefLang`

``` purescript
hrefLang :: forall a. String -> Attribute a
```

#### `htmlFor`

``` purescript
htmlFor :: forall a. String -> Attribute a
```

#### `httpEquiv`

``` purescript
httpEquiv :: forall a. String -> Attribute a
```

#### `icon`

``` purescript
icon :: forall a. String -> Attribute a
```

#### `id_`

``` purescript
id_ :: forall a. String -> Attribute a
```

#### `key`

``` purescript
key :: forall a. String -> Attribute a
```

#### `label`

``` purescript
label :: forall a. String -> Attribute a
```

#### `lang`

``` purescript
lang :: forall a. String -> Attribute a
```

#### `list`

``` purescript
list :: forall a. String -> Attribute a
```

#### `loop`

``` purescript
loop :: forall a. String -> Attribute a
```

#### `manifest`

``` purescript
manifest :: forall a. String -> Attribute a
```

#### `marginHeight`

``` purescript
marginHeight :: forall a. String -> Attribute a
```

#### `marginWidth`

``` purescript
marginWidth :: forall a. String -> Attribute a
```

#### `max`

``` purescript
max :: forall a. String -> Attribute a
```

#### `maxLength`

``` purescript
maxLength :: forall a. String -> Attribute a
```

#### `media`

``` purescript
media :: forall a. String -> Attribute a
```

#### `mediaGroup`

``` purescript
mediaGroup :: forall a. String -> Attribute a
```

#### `method`

``` purescript
method :: forall a. String -> Attribute a
```

#### `min`

``` purescript
min :: forall a. String -> Attribute a
```

#### `multiple`

``` purescript
multiple :: forall a. String -> Attribute a
```

#### `muted`

``` purescript
muted :: forall a. String -> Attribute a
```

#### `name`

``` purescript
name :: forall a. String -> Attribute a
```

#### `noValidate`

``` purescript
noValidate :: forall a. String -> Attribute a
```

#### `open`

``` purescript
open :: forall a. String -> Attribute a
```

#### `pattern`

``` purescript
pattern :: forall a. String -> Attribute a
```

#### `placeholder`

``` purescript
placeholder :: forall a. String -> Attribute a
```

#### `poster`

``` purescript
poster :: forall a. String -> Attribute a
```

#### `preload`

``` purescript
preload :: forall a. String -> Attribute a
```

#### `radioGroup`

``` purescript
radioGroup :: forall a. String -> Attribute a
```

#### `readOnly`

``` purescript
readOnly :: forall a. String -> Attribute a
```

#### `rel`

``` purescript
rel :: forall a. String -> Attribute a
```

#### `required`

``` purescript
required :: forall a. String -> Attribute a
```

#### `role`

``` purescript
role :: forall a. String -> Attribute a
```

#### `rows`

``` purescript
rows :: forall a. String -> Attribute a
```

#### `rowSpan`

``` purescript
rowSpan :: forall a. String -> Attribute a
```

#### `sandbox`

``` purescript
sandbox :: forall a. String -> Attribute a
```

#### `scope`

``` purescript
scope :: forall a. String -> Attribute a
```

#### `scrolling`

``` purescript
scrolling :: forall a. String -> Attribute a
```

#### `seamless`

``` purescript
seamless :: forall a. String -> Attribute a
```

#### `selected`

``` purescript
selected :: forall a. String -> Attribute a
```

#### `shape`

``` purescript
shape :: forall a. String -> Attribute a
```

#### `size`

``` purescript
size :: forall a. String -> Attribute a
```

#### `sizes`

``` purescript
sizes :: forall a. String -> Attribute a
```

#### `span_`

``` purescript
span_ :: forall a. String -> Attribute a
```

#### `spellCheck`

``` purescript
spellCheck :: forall a. String -> Attribute a
```

#### `src`

``` purescript
src :: forall a. String -> Attribute a
```

#### `srcDoc`

``` purescript
srcDoc :: forall a. String -> Attribute a
```

#### `srcSet`

``` purescript
srcSet :: forall a. String -> Attribute a
```

#### `start`

``` purescript
start :: forall a. String -> Attribute a
```

#### `step`

``` purescript
step :: forall a. String -> Attribute a
```

#### `tabIndex`

``` purescript
tabIndex :: forall a. String -> Attribute a
```

#### `target`

``` purescript
target :: forall a. String -> Attribute a
```

#### `title`

``` purescript
title :: forall a. String -> Attribute a
```

#### `type_`

``` purescript
type_ :: forall a. String -> Attribute a
```

#### `useMap`

``` purescript
useMap :: forall a. String -> Attribute a
```

#### `value`

``` purescript
value :: forall a. String -> Attribute a
```

#### `width`

``` purescript
width :: forall a. String -> Attribute a
```

#### `wmode`

``` purescript
wmode :: forall a. String -> Attribute a
```

#### `clipPath`

``` purescript
clipPath :: forall a. String -> Attribute a
```

#### `cx`

``` purescript
cx :: forall a. String -> Attribute a
```

#### `cy`

``` purescript
cy :: forall a. String -> Attribute a
```

#### `d`

``` purescript
d :: forall a. String -> Attribute a
```

#### `dx`

``` purescript
dx :: forall a. String -> Attribute a
```

#### `dy`

``` purescript
dy :: forall a. String -> Attribute a
```

#### `fill`

``` purescript
fill :: forall a. String -> Attribute a
```

#### `fillOpacity`

``` purescript
fillOpacity :: forall a. String -> Attribute a
```

#### `fontFamily`

``` purescript
fontFamily :: forall a. String -> Attribute a
```

#### `fontSize`

``` purescript
fontSize :: forall a. String -> Attribute a
```

#### `fx`

``` purescript
fx :: forall a. String -> Attribute a
```

#### `fy`

``` purescript
fy :: forall a. String -> Attribute a
```

#### `gradientTransform`

``` purescript
gradientTransform :: forall a. String -> Attribute a
```

#### `gradientUnits`

``` purescript
gradientUnits :: forall a. String -> Attribute a
```

#### `markerEnd`

``` purescript
markerEnd :: forall a. String -> Attribute a
```

#### `markerMid`

``` purescript
markerMid :: forall a. String -> Attribute a
```

#### `markerStart`

``` purescript
markerStart :: forall a. String -> Attribute a
```

#### `offset`

``` purescript
offset :: forall a. String -> Attribute a
```

#### `opacity`

``` purescript
opacity :: forall a. String -> Attribute a
```

#### `patternContentUnits`

``` purescript
patternContentUnits :: forall a. String -> Attribute a
```

#### `patternUnits`

``` purescript
patternUnits :: forall a. String -> Attribute a
```

#### `points`

``` purescript
points :: forall a. String -> Attribute a
```

#### `preserveAspectRatio`

``` purescript
preserveAspectRatio :: forall a. String -> Attribute a
```

#### `r`

``` purescript
r :: forall a. String -> Attribute a
```

#### `rx`

``` purescript
rx :: forall a. String -> Attribute a
```

#### `ry`

``` purescript
ry :: forall a. String -> Attribute a
```

#### `spreadMethod`

``` purescript
spreadMethod :: forall a. String -> Attribute a
```

#### `stopColor`

``` purescript
stopColor :: forall a. String -> Attribute a
```

#### `stopOpacity`

``` purescript
stopOpacity :: forall a. String -> Attribute a
```

#### `stroke`

``` purescript
stroke :: forall a. String -> Attribute a
```

#### `strokeDasharray`

``` purescript
strokeDasharray :: forall a. String -> Attribute a
```

#### `strokeLinecap`

``` purescript
strokeLinecap :: forall a. String -> Attribute a
```

#### `strokeOpacity`

``` purescript
strokeOpacity :: forall a. String -> Attribute a
```

#### `strokeWidth`

``` purescript
strokeWidth :: forall a. String -> Attribute a
```

#### `style`

``` purescript
style :: forall a. String -> Attribute a
```

#### `textAnchor`

``` purescript
textAnchor :: forall a. String -> Attribute a
```

#### `transform`

``` purescript
transform :: forall a. String -> Attribute a
```

#### `version`

``` purescript
version :: forall a. String -> Attribute a
```

#### `viewBox`

``` purescript
viewBox :: forall a. String -> Attribute a
```

#### `x1`

``` purescript
x1 :: forall a. String -> Attribute a
```

#### `x2`

``` purescript
x2 :: forall a. String -> Attribute a
```

#### `x`

``` purescript
x :: forall a. String -> Attribute a
```

#### `xlinkActuate`

``` purescript
xlinkActuate :: forall a. String -> Attribute a
```

#### `xlinkArcrole`

``` purescript
xlinkArcrole :: forall a. String -> Attribute a
```

#### `xlinkHref`

``` purescript
xlinkHref :: forall a. String -> Attribute a
```

#### `xlinkRole`

``` purescript
xlinkRole :: forall a. String -> Attribute a
```

#### `xlinkShow`

``` purescript
xlinkShow :: forall a. String -> Attribute a
```

#### `xlinkTitle`

``` purescript
xlinkTitle :: forall a. String -> Attribute a
```

#### `xlinkType`

``` purescript
xlinkType :: forall a. String -> Attribute a
```

#### `xmlBase`

``` purescript
xmlBase :: forall a. String -> Attribute a
```

#### `xmlLang`

``` purescript
xmlLang :: forall a. String -> Attribute a
```

#### `xmlSpace`

``` purescript
xmlSpace :: forall a. String -> Attribute a
```

#### `y1`

``` purescript
y1 :: forall a. String -> Attribute a
```

#### `y2`

``` purescript
y2 :: forall a. String -> Attribute a
```

#### `y`

``` purescript
y :: forall a. String -> Attribute a
```

#### `attribute`

``` purescript
attribute :: forall a. Fn2 String String (Attribute a)
```


